Name:           btrfs-progs
Version:        4.16.1
Release:        0
Summary:        Utilities for the Btrfs filesystem
Group:          Base/File Systems
License:        GPL-2.0
Url:            http://btrfs.wiki.kernel.org/index.php/Main_Page
Source:         %{name}-%{version}.tar.xz
Source1001: 	btrfs-progs.manifest
BuildRequires:  libacl-devel
BuildRequires:  lzo-devel
BuildRequires:  libblkid-devel
BuildRequires:  pkgconfig(ext2fs)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  pkgconfig(zlib)
# for /bin/true
Requires:       coreutils

%description
Utilities needed to create and maintain btrfs file systems under Linux.

%prep
%setup -q
cp %{SOURCE1001} .

%build
%autogen
%configure --disable-documentation --disable-python --disable-zstd
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} prefix=%{_prefix} bindir=%{_sbindir} mandir=%{_mandir}


rm -rf %{buildroot}%{_includedir}/btrfs/
rm -rf %{buildroot}%{_includedir}/btrfsutil.h
rm -rf %{buildroot}%{_libdir}/libbtrfs*
rm -rf %{buildroot}%{_libdir}/libbtrfsutil*


%docs_package

%files
%manifest %{name}.manifest
%license COPYING
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfsck
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfstune
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
